/**
 * Copyright (c) 2016-2017  Zubax Robotics  <info@zubax.com>
 */

#pragma once

#include <chrono>
#include <cstdint>
#include <array>
#include <os.hpp>
#include <hal.h>
#include "watchdog.hpp"

namespace board
{
Watchdog init(std::chrono::milliseconds watchdog_timeout);
__attribute__((noreturn)) void die(int reason);
void restart();
}
